<!DOCTYPE html>
<html>
	<head>
		<title><%= page_title( yield(:title) ) %></title>
		<meta name="viewport" content="width=device-width,initial-scale=1">
		<%= csrf_meta_tags %>
		<%= csp_meta_tag %>

		<%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
		<%= stylesheet_link_tag "https://cdn.jsdelivr.net/npm/bulma@0.9.4/css/bulma.min.css" %>
		<%= javascript_include_tag "https://kit.fontawesome.com/b7eb7906f2.js" %>
		<%= javascript_importmap_tags %>
	</head>

	<body>
		<main>
			<section class="section">
				<div class="container is-max-desktop">
					<div class="has-text-centered">
						<h1 class="title is-size-1-tablet has-text-centered"><%= link_to "Link-O-Matic", root_path, class:"has-text-black" %></h1>
						<p class="subtitle"><%= yield(:title) %></p>
					</div>
					<div class="content mt-5 mb-0">
						<% flash.each do |message_type, message| %>
        					<div class="notification has-text-centered has-text-weight-semibold is-<%= message_type %>">
        						<%= flash_sanitize message%>
        					</div>
      					<% end %>
						<%= yield %>
					</div>
				</div>
			</section>
		</main>
		<%= render "layouts/footer" %>
	</body>
</html>
